Skip to content

Download the file of a specific document version.

GET/api/{version}/objects/documents/{doc_id}/versions/{major_version}/{minor_version}/file
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{doc_id}The document id field value.
{major_version}The document major_version_number__v field value.
{minor_version}The document minor_version_number__v field value.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v21.2/objects/documents/534/versions/2/3/file > file
Content-Type: application/octet-stream;charset=UTF-8 Content-Disposition: attachment;filename="CholeCap-Presentation.pptx"

On SUCCESS, Vault retrieves the specified version of the source file from the document. The HTTP Response Header Content-Type is set to application/octet-stream. The HTTP Response Header Content-Disposition contains a filename component which can be used when naming the local file.